Bug 203502 - OpenInventor example program crashes while reading image
OpenInventor example program crashes while reading image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Inventor (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-22 00:26 EDT by Fran Taylor
Modified: 2009-01-09 01:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:58:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fran Taylor 2006-08-22 00:26:17 EDT
Description of problem: example program crashes

Version-Release number of selected component (if applicable):
Inventor-examples-2.1.5-20.fc5

How reproducible: every time


Steps to Reproduce:
1. gcc -g -c -o 07.1.BasicTexture.o
/usr/lib64/Inventor/examples/Mentor/CXX/07.1.BasicTexture.c++
2. gcc -g -o 07.1.BasicTexture 07.1.BasicTexture.o -lInventor -lInventorXt
3. ./07.1.BasicTexture
  
Actual results:

program crashes with error report

Expected results:

window showing texture

Additional info:
Comment 1 Fran Taylor 2006-08-23 02:48:05 EDT
This patch fixes the problem, not sure if it's the real answer.

---
*** inventor/libimage/open.c.orig	2006-08-22 21:27:21.000000000 -0400
--- inventor/libimage/open.c	2006-08-23 02:41:55.000000000 -0400
***************
*** 121,127 ****
  	else
  	    image->flags = _IOREAD;
  	if(ISRLE(image->type)) {
! 	    tablesize = image->ysize*image->zsize*sizeof(int);
  	    image->rowstart = (unsigned long *)malloc(tablesize);
  	    image->rowsize = (long *)malloc(tablesize);
  	    if( image->rowstart == 0 || image->rowsize == 0 ) {
--- 121,127 ----
  	else
  	    image->flags = _IOREAD;
  	if(ISRLE(image->type)) {
! 	    tablesize = image->ysize*image->zsize*sizeof(long);
  	    image->rowstart = (unsigned long *)malloc(tablesize);
  	    image->rowsize = (long *)malloc(tablesize);
  	    if( image->rowstart == 0 || image->rowsize == 0 ) {
---
Comment 2 Ralf Corsepius 2006-08-23 04:21:01 EDT
Sorry for having been non-responsive, but I haven't had any time to look into 
this, yet (I am currently moving). 

Your patch could make sense, but I'll have to investigate first :(
Comment 3 Bug Zapper 2008-04-03 23:34:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:15:30 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Ralf Corsepius 2008-05-06 13:12:28 EDT
(In reply to comment #4)
> This bug is open for a Fedora version that is no longer maintained and
> will not be fixed by Fedora. Therefore we are closing this bug.
Geeez, but zappers once more causing nothing but noise.

I am working on Inventor, but this issue had been overrun by GCC-4.3.0's having
broken a lot in Inventor,.


Comment 6 petrosyan 2008-05-06 16:08:13 EDT
Ralf, if you bothered to read Bug Zapper comments and update Fedora release
version field you wouldn't get any more emails. Currently it is listed as Fedora
Core 5. Are you really working on Fedora Core 5?
Comment 7 Ralf Corsepius 2008-05-06 21:15:22 EDT
(In reply to comment #6)
> Ralf, if you bothered to read Bug Zapper comments

The butt zappers changed the semantics of the version field. 
It once had meant: This bug had been reported against FC5.

> and update Fedora release
> version field you wouldn't get any more emails.
Yes, they are pushing around maintainers and are proud of it.
IMO, there is no reason for them to be proud of.

> Currently it is listed as Fedora
> Core 5. Are you really working on Fedora Core 5?
No, I am working on FC8, investigating bugs gcc-4.3.0 exposes and introduces on
FC9, struggling with gcc-4.3.0 not being available on FC8.

Comment 8 petrosyan 2008-06-17 10:42:16 EDT
If you are working on Fedora 8 I am updating the version field to "8".
Comment 9 Bug Zapper 2008-11-26 02:01:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 01:58:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.